IMG00346.JPG=Behind the dash.
IMG00345.JPG=Making a hole in the Dashboard.
IMG00350.JPG=More power!
IMG00352.JPG=And there we have it. More power in the Scion XB.
IMG00348.JPG=Removing the instrument cluster
IMG00349.JPG=Reassembled
IMG00347.JPG=Removing the radio plate
IMG00351.JPG=Hooking the wires to the other cigarette lighter.
